/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.ant.util.blanco;

import java.io.IOException;

public class SampleBlancoAnt {
    public static void main(String[] args) {
        try {
            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoAnt");
                template.setTargetMetaNameLower("ant");
                template.setVersion("0.1.2");
                template.setDotNetSupport(false);
                template.expandLib();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoAntTask");
                template.setTargetMetaNameLower("anttask");
                template.setVersion("0.6.1");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoBatchProcess");
                template.setTargetMetaNameLower("batchprocess");
                template.setVersion("0.4.1");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoCharacterGroup");
                template.setTargetMetaNameLower("charactergroup");
                template.setVersion("0.1.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoConstants");
                template.setTargetMetaNameLower("constants");
                template.setVersion("0.8.1");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoCsv");
                template.setTargetMetaNameLower("csv");
                template.setVersion("1.0.1");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoDbDotNet");
                template.setTargetMetaNameLower("dbdotnet");
                template.setVersion("0.5.5");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoDbPhp");
                template.setTargetMetaNameLower("dbphp");
                template.setVersion("0.0.9");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoDbEE");
                template.setTargetMetaNameLower("dbee");
                template.setVersion("1.8.8");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoFixedLength");
                template.setTargetMetaNameLower("fixedlength");
                template.setVersion("0.4.3");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoMessage");
                template.setTargetMetaNameLower("message");
                template.setVersion("0.4.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoResourceBundle");
                template.setTargetMetaNameLower("resourcebundle");
                template.setVersion("1.2.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoSqlEditor");
                template.setTargetMetaNameLower("sqleditor");
                template.setVersion("0.3.7");
                template.setDotNetSupport(false);
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoService");
                template.setTargetMetaNameLower("service");
                template.setVersion("0.1.1");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoSOAP");
                template.setTargetMetaNameLower("soap");
                template.setVersion("1.0.8");
                template.setDotNetSupport(false);
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoStringConverter");
                template.setTargetMetaNameLower("stringconverter");
                template.setVersion("0.2.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoStringGroup");
                template.setTargetMetaNameLower("stringgroup");
                template.setVersion("0.2.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoStrutsEE");
                template.setTargetMetaNameLower("strutsee");
                template.setVersion("0.7.5");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoTextConverter");
                template.setTargetMetaNameLower("textconverter");
                template.setVersion("0.0.1");
                template.setDotNetSupport(false);
                template.expandLib();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoValueObject");
                template.setTargetMetaNameLower("valueobject");
                template.setVersion("1.0.1");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoValueObjectDotNet");
                template.setTargetMetaNameLower("valueobjectdotnet");
                template.setVersion("0.4.1");
                template.expandLib();
                template.expandPlugin();
            }

            {
                final BlancoAntBlancoTemplate template = new BlancoAntBlancoTemplate();
                template.setProjectName("blancoValueObjectPhp");
                template.setTargetMetaNameLower("valueobjectphp");
                template.setVersion("0.0.6");
                template.setDotNetSupport(false);
                template.expandLib();
                template.expandPlugin();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
